Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::OggVorbisReader Class Reference

OggVorbisリーダ. More...

`#include <OggVorbisReader.h>`

Inheritance diagram for Lamp::OggVorbisReader:

List of all members.

## Public Member Functions
| OggVorbisReader (const FilePath &filePath)
| コンストラクタ
virtual | ~OggVorbisReader ()
| デストラクタ
virtual u_int | getSize () const
| サイズの取得
virtual int | getSample () const
| サンプル数の取得
virtual int | getChannel () const
| チャンネル数の取得
virtual int | getBit () const
| ビット数の取得
virtual const String & | getComment ()
| コメントの取得
virtual void | setCursor (u_int cursor)
| 位置の設定
virtual u_int | getCursor ()
| 位置の取得
virtual bool | readHeader ()
| ヘッダ読み込み
virtual int | read (void *buffer, u_int size)
| 読み込み
## Static Public Member Functions
bool | isOggVorbisFileName (const FilePath &filePath)
| ファイルがOggVorbisファイルか

## Detailed Description

OggVorbisリーダ.

ov_open_callbacks()を使用すればメモリから読み込める。必要そうなら実装する。 ファイル末尾からのseekが必要なので独自パックファイルを導入する必要がある。

Definition at line 43 of file OggVorbisReader.h.

## Constructor & Destructor Documentation

Lamp::OggVorbisReader::OggVorbisReader | ( | const FilePath & | filePath | ) |

  | コンストラクタ Parameters:
  filePath | ファイルパス
Definition at line 235 of file OggVorbisReader.cpp.

## Member Function Documentation

int Lamp::OggVorbisReader::getBit | ( |  | ) | const`[virtual]`

| ビット数の取得 Returns: ビット数 Implements Lamp::SoundReader. Definition at line 254 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::getBit().

int Lamp::OggVorbisReader::getChannel | ( |  | ) | const`[virtual]`

| チャンネル数の取得 Returns: チャンネル数 Implements Lamp::SoundReader. Definition at line 251 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::getChannel().

const String & Lamp::OggVorbisReader::getComment | ( |  | ) | `[virtual]`

| コメントの取得 Returns: コメント Implements Lamp::SoundReader. Definition at line 257 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::getComment().

u_int Lamp::OggVorbisReader::getCursor | ( |  | ) | `[virtual]`

| 位置の取得 Returns: 位置 Implements Lamp::SoundReader. Definition at line 265 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::getCursor(), and u_int.

int Lamp::OggVorbisReader::getSample | ( |  | ) | const`[virtual]`

| サンプル数の取得 Returns: サンプル数 Implements Lamp::SoundReader. Definition at line 248 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::getSample().

u_int Lamp::OggVorbisReader::getSize | ( |  | ) | const`[virtual]`

| サイズの取得 Returns: サイズ Implements Lamp::SoundReader. Definition at line 245 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::getSize(), and u_int.

bool Lamp::OggVorbisReader::isOggVorbisFileName | ( | const FilePath & | filePath | ) | `[inline, static]`

  | ファイルがOggVorbisファイルか Parameters:
  filePath | ファイルパス
Returns: OggVorbisファイルならtrue Definition at line 121 of file OggVorbisReader.h. References Lamp::String::equals(), and Lamp::FilePath::getExtension().

int Lamp::OggVorbisReader::read | ( | void * | buffer,
|  | u_int | size
| ) | `[virtual]`

  | 読み込み Parameters:
  buffer | 読み込みバッファ
  size | 読み込みサイズ
Returns: 読み込んだサイズ。終端なら0、失敗すれば-1 Implements Lamp::SoundReader. Definition at line 271 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::read().

bool Lamp::OggVorbisReader::readHeader | ( |  | ) | `[virtual]`

| ヘッダ読み込み Returns: 成功すればtrue Implements Lamp::SoundReader. Definition at line 268 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::readHeader().

void Lamp::OggVorbisReader::setCursor | ( | u_int | cursor | ) | `[virtual]`

  | 位置の設定 Parameters:
  cursor | 設定する位置
Implements Lamp::SoundReader. Definition at line 260 of file OggVorbisReader.cpp. References Lamp::OggVorbisReaderImpl::setCursor().

The documentation for this class was generated from the following files:

- OggVorbisReader.h
- OggVorbisReader.cpp